# Logic

- [Arithmetic Operation](https://docs.apphive.io/reference/funciones/logic-e/arithmetic-operation.md): It allows performing basic operations (addition, subtraction, division and multiplication) with two or more operands.
- [Array from object](https://docs.apphive.io/reference/funciones/logic-e/array-from-object.md): It allows converting a specific column of an object into an array, returning only the values ​​belonging to that column or field of the object.
- [Based on current OS](https://docs.apphive.io/reference/funciones/logic-e/based-on-current-os.md): The Based on current OS function allows you to know what type of operating system the application is installed on
- [Chronometer](https://docs.apphive.io/reference/funciones/logic-e/chronometer.md): It allows calculating a period of time determined by the user, showing hours, minutes and seconds
- [Concat](https://docs.apphive.io/reference/funciones/logic-e/concat.md): The concat function allows you to join or bind values ​​so that they behave as a single value.
- [Conditional](https://docs.apphive.io/reference/funciones/logic-e/conditional.md): Allows to perform condition processes between two values
- [debounce](https://docs.apphive.io/reference/funciones/logic-e/debounce.md): The debunce function allows you to set a time in milliseconds before executing functions, it is generally used to create a wait time before executing function logic.
- [forEach](https://docs.apphive.io/reference/funciones/logic-e/foreach.md): The forEach function allows you to go through all the elements or records of an array or an object.
- [Global Formater](https://docs.apphive.io/reference/funciones/logic-e/global-formater.md)
- [Value is invalid](https://docs.apphive.io/reference/funciones/logic-e/value-is-invalid.md): The Value in invalid function allows to discriminate the null values, indicating as valid the values ​​other than null or empty
- [Object keys](https://docs.apphive.io/reference/funciones/logic-e/object-keys.md): The Object keys function allows you to create and return an array of only the id (Record id) of the records of an object
- [Generate Random Numer](https://docs.apphive.io/reference/funciones/logic-e/generate-random-numer.md): The Generate Random Number function allows you to generate random integers in a specified range.
- [Range Iteration](https://docs.apphive.io/reference/funciones/logic-e/range-iteration.md): The rangeIteration function allows you to generate a specific number of iterations, to have control over the number of executions of the functions.
- [Regex Test](https://docs.apphive.io/reference/funciones/logic-e/regex-test.md): The Regex Test function allows you to compare values ​​with patterns to find a certain combination of characters within a text string
- [Search in Object](https://docs.apphive.io/reference/funciones/logic-e/search-in-object.md): The Search in Object function allows you to search for a certain set of records within an object, which have matching values ​​in a specific path
- [Set interval](https://docs.apphive.io/reference/funciones/logic-e/set-interval.md): The Set interval function allows you to create iterations controlled by time, in this way when the specified time ends, the functions assigned by the logic will be executed
- [Set timeout](https://docs.apphive.io/reference/funciones/logic-e/set-timeout.md): The Set timeout function allows you to create a time interval before the functions within your callback are executed, that is, to delay the functions in time.
- [Stop set interval](https://docs.apphive.io/reference/funciones/logic-e/stop-set-interval.md): The Stop set interval function allows you to stop the sequence of the set interval function
- [Switch](https://docs.apphive.io/reference/funciones/logic-e/switch.md): The Switch function is a type of selection control mechanism used to allow the value of a variable to change the flow of control of the execution of application logic.
- [Generate uuid v1](https://docs.apphive.io/reference/funciones/logic-e/generate-uuid-v1.md): The Generate uuid v1 function allows to generate a random string usually used as id, this string will never be repeated


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/reference/funciones/logic-e.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
